/*
*  Licensed Materials - Property of IBM
*  5725-G92 (C) Copyright IBM Corp. 2006, 2013. All Rights Reserved.
*  US Government Users Restricted Rights - Use, duplication or
*  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
*/

function wlCommonInit(){
	$('#SubscribeButton').bind('click', subscribeButtonClicked);
	$('#UnsubscribeButton').bind('click', unsubscribeButtonClicked);
}

//---------------------------- Set up push notifications -------------------------------
if (WL.Client.Push){
	
	WL.Client.Push.onReadyToSubscribe = function(){
		alert("onReadyToSubscribe");
		
		$('#SubscribeButton').removeAttr('disabled');
		$('#UnsubscribeButton').removeAttr('disabled');

		WL.Client.Push.registerEventSourceCallback(
				"myPush", 
				"PushAdapter", 
				"PushEventSource", 
				pushNotificationReceived);
	};
	
}

// --------------------------------- Subscribe ------------------------------------
function subscribeButtonClicked(){
	WL.Client.Push.subscribe("myPush", {
		onSuccess: pushSubscribe_Callback,
		onFailure: pushSubscribe_Callback
	});
}

function pushSubscribe_Callback(response){
	alert("PushSubscribe_Callback invoked");
}

//------------------------------- Unsubscribe ---------------------------------------
function unsubscribeButtonClicked(){
	WL.Client.Push.unsubscribe("myPush", {
		onSuccess: pushUnsubscribe_Callback,
		onFailure: pushUnsubscribe_Callback
	});
}

function pushUnsubscribe_Callback(response){
	alert("pushUnsubscribe_Callback invoked");
}

//------------------------------- Handle received notification ---------------------------------------
function pushNotificationReceived(props, payload){
	alert("pushNotificationReceived invoked");
	alert("props :: " + JSON.stringify(props));
	alert("payload :: " + JSON.stringify(payload));
}


